//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "CSPIN"
#pragma resource "*.dfm"
TForm1 *Form1;



//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Open1Click(TObject *Sender)
{
        //pes MainMenu
        if(OpenP1->Execute()){
                Image1->Stretch = true;
                Image1->Picture->LoadFromFile(OpenP1->FileName);   //ZOBRAZEN PROCHZEN ADRES
                //Nacteni informaci
                EditJmSouboru->Text = OpenP1->FileName;
                CSvska->Value = Image1->Picture->Height;
                CSsirska->Value = Image1->Picture->Width;
                EditVelikost->Text = IntToStr(
                        (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
                ) + "%";
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Exit1Click(TObject *Sender)
{
        Close();   //zave program
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Close1Click(TObject *Sender)
{
        Image1->Picture = NULL;      //odstrann nhledu
        EditJmSouboru->Text = "";
        CSvska->Value = 0;
        CSsirska->Value = 0;
        EditVelikost->Text = "";
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
        if(OpenP1->Execute()){
                Image1->Stretch = true;
                Image1->Picture->LoadFromFile(OpenP1->FileName); //ZOBRAZEN PROCHZEN ADRES\
                //Nacteni informaci
                EditJmSouboru->Text = OpenP1->FileName;
                CSvska->Value = Image1->Picture->Height;
                CSsirska->Value = Image1->Picture->Width;
                EditVelikost->Text = IntToStr(
                        (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
                ) + "%";
        }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
        if(VK_ESCAPE) Close();    //zave okno po stisku escape
        if(VK_RETURN) OpenP1->Execute();
}
//---------------------------------------------------------------------------



void __fastcall TForm1::FormResize(TObject *Sender)
{
        //aby zustal pomer stran
        if(Image1->Picture->Width != 0){
                Image1->Height = Image1->Picture->Height * ((float)Image1->Width / (float)Image1->Picture->Width);
                //pohyblivy informator
                PanelInfo->Top = Image1->Height + 5;
                PanelInfo->Width = Form1->Width - 8;
                //ZOOM
                EditVelikost->Text = IntToStr(
                        (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
                ) + "%";
        }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormKeyPress(TObject *Sender, char &Key)
{
        if(VK_ESCAPE) Close();    //zave okno po stisku escape
        if(VK_RETURN) OpenP1->Execute();
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Zvtit1Click(TObject *Sender)
{
        Form1->Height+=50;
        Form1->Width+=50;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZmenitY1Click(TObject *Sender)
{
        Form1->Height-=50;
        Form1->Width-=50;
}          
//---------------------------------------------------------------------------

void __fastcall TForm1::Dal1Click(TObject *Sender)
{
        if(CSkolik->Value < OpenP1->Files->Capacity) CSkolik->Value++;
        Image1->Picture->LoadFromFile(OpenP1->Files->Strings[CSkolik->Value]);
        EditJmSouboru->Text = OpenP1->FileName;
        CSvska->Value = Image1->Picture->Height;
        CSsirska->Value = Image1->Picture->Width;
        EditVelikost->Text = IntToStr(
                (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
        ) + "%";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Prvn1Click(TObject *Sender)
{
        Image1->Picture->LoadFromFile(OpenP1->Files->Strings[0]);
        EditJmSouboru->Text = OpenP1->FileName;
        CSvska->Value = Image1->Picture->Height;
        CSsirska->Value = Image1->Picture->Width;
        EditVelikost->Text = IntToStr(
                (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
        ) + "%";
        CSkolik->Value=1;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Pedchoz1Click(TObject *Sender)
{
        if(CSkolik->Value>=1)CSkolik->Value--;
        Image1->Picture->LoadFromFile(OpenP1->Files->Strings[CSkolik->Value-1]);
        EditJmSouboru->Text = OpenP1->FileName;
        CSvska->Value = Image1->Picture->Height;
        CSsirska->Value = Image1->Picture->Width;
        EditVelikost->Text = IntToStr(
                (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
        ) + "%";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Posledn1Click(TObject *Sender)
{
        CSkolik->Value = OpenP1->Files->Capacity;
        Image1->Picture->LoadFromFile(OpenP1->Files->Strings[CSkolik->Value-1]);
        EditJmSouboru->Text = OpenP1->FileName;
        CSvska->Value = Image1->Picture->Height;
        CSsirska->Value = Image1->Picture->Width;
        EditVelikost->Text = IntToStr(
                (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
        ) + "%";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Image1DblClick(TObject *Sender)
{
        //pes dvojklik
        if(OpenP1->Execute()){
                Image1->Stretch = true;
                Image1->Picture->LoadFromFile(OpenP1->FileName);   //ZOBRAZEN PROCHZEN ADRES
                //Nacteni informaci
                EditJmSouboru->Text = OpenP1->FileName;
                CSvska->Value = Image1->Picture->Height;
                CSsirska->Value = Image1->Picture->Width;
                EditVelikost->Text = IntToStr(
                        (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
                ) + "%";
        }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Image1Click(TObject *Sender)
{
        //pes dvojklik
        if(OpenP1->Execute()){
                Image1->Stretch = true;
                Image1->Picture->LoadFromFile(OpenP1->FileName);   //ZOBRAZEN PROCHZEN ADRES
                //Nacteni informaci
                EditJmSouboru->Text = OpenP1->FileName;
                CSvska->Value = Image1->Picture->Height;
                CSsirska->Value = Image1->Picture->Width;
                EditVelikost->Text = IntToStr(
                        (int)(( (float)Image1->Width / (float)Image1->Picture->Width )*100)
                ) + "%";
        }
}
//---------------------------------------------------------------------------

